AWS Elastic Beanstalk
平台
AWS 文档中描述的 AWS 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 AWS 服务入门

PHP 平台历史记录

此页列出了 AWS Elastic Beanstalk 的 PHP 平台早期版本以及每个版本成为当前版本的日期。您在过去 30 天内用于启动或更新环境的平台版本即使在它们不再是最新版本之后也可用 (对于在已使用的区域中的正在使用的账户而言)。

有关 Elastic Beanstalk 支持的每个平台的最新版本的信息,请参阅支持的平台页面。Detailed release notes are available for recent releases at AWS Elastic Beanstalk 发布说明.

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 12 月 17 日至 2019 年 1 月 22 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.2 版本 2.8.5

64bit Amazon Linux 2018.03 v2.8.5 running PHP 7.2

2018.03.0

PHP 7.2.11

1.4.2

Apache 2.4.34

PHP 7.1 版本 2.8.5

64bit Amazon Linux 2018.03 v2.8.5 running PHP 7.1

2018.03.0

PHP 7.1.23

1.4.2

Apache 2.4.34

PHP 7.0 版本 2.8.5

64bit Amazon Linux 2018.03 v2.8.5 running PHP 7.0

2018.03.0

PHP 7.0.32

1.4.2

Apache 2.4.34

PHP 5.6 版本 2.8.5

64bit Amazon Linux 2018.03 v2.8.5 running PHP 5.6

2018.03.0

PHP 5.6.38

1.4.2

Apache 2.4.34

PHP 5.5 版本 2.8.5

64bit Amazon Linux 2018.03 v2.8.5 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.34

PHP 5.4 版本 2.8.5

64bit Amazon Linux 2018.03 v2.8.5 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.34

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 11 月 16 日至 2018 年 12 月 16 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.2 版本 2.8.4

64bit Amazon Linux 2018.03 v2.8.4 running PHP 7.2

2018.03.0

PHP 7.2.11

1.4.2

Apache 2.4.34

PHP 7.1 版本 2.8.4

64bit Amazon Linux 2018.03 v2.8.4 running PHP 7.1

2018.03.0

PHP 7.1.23

1.4.2

Apache 2.4.34

PHP 7.0 版本 2.8.4

64bit Amazon Linux 2018.03 v2.8.4 running PHP 7.0

2018.03.0

PHP 7.0.32

1.4.2

Apache 2.4.34

PHP 5.6 版本 2.8.4

64bit Amazon Linux 2018.03 v2.8.4 running PHP 5.6

2018.03.0

PHP 5.6.38

1.4.2

Apache 2.4.34

PHP 5.5 版本 2.8.4

64bit Amazon Linux 2018.03 v2.8.4 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.34

PHP 5.4 版本 2.8.4

64bit Amazon Linux 2018.03 v2.8.4 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.34

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 10 月 29 日至 2018 年 11 月 15 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.2 版本 2.8.3

64bit Amazon Linux 2018.03 v2.8.3 running PHP 7.2

2018.03.0

PHP 7.2.11

1.4.2

Apache 2.4.34

PHP 7.1 版本 2.8.3

64bit Amazon Linux 2018.03 v2.8.3 running PHP 7.1

2018.03.0

PHP 7.1.23

1.4.2

Apache 2.4.34

PHP 7.0 版本 2.8.3

64bit Amazon Linux 2018.03 v2.8.3 running PHP 7.0

2018.03.0

PHP 7.0.32

1.4.2

Apache 2.4.34

PHP 5.6 版本 2.8.3

64bit Amazon Linux 2018.03 v2.8.3 running PHP 5.6

2018.03.0

PHP 5.6.38

1.4.2

Apache 2.4.34

PHP 5.5 版本 2.8.3

64bit Amazon Linux 2018.03 v2.8.3 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.34

PHP 5.4 版本 2.8.3

64bit Amazon Linux 2018.03 v2.8.3 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.34

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 9 月 25 日至 2018 年 10 月 18 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.2 版本 2.8.2

64bit Amazon Linux 2018.03 v2.8.2 running PHP 7.2

2018.03.0

PHP 7.2.8

1.4.2

Apache 2.4.34

PHP 7.1 版本 2.8.2

64bit Amazon Linux 2018.03 v2.8.2 running PHP 7.1

2018.03.0

PHP 7.1.20

1.4.2

Apache 2.4.34

PHP 7.0 版本 2.8.2

64bit Amazon Linux 2018.03 v2.8.2 running PHP 7.0

2018.03.0

PHP 7.0.31

1.4.2

Apache 2.4.34

PHP 5.6 版本 2.8.2

64bit Amazon Linux 2018.03 v2.8.2 running PHP 5.6

2018.03.0

PHP 5.6.37

1.4.2

Apache 2.4.34

PHP 5.5 版本 2.8.2

64bit Amazon Linux 2018.03 v2.8.2 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.34

PHP 5.4 版本 2.8.2

64bit Amazon Linux 2018.03 v2.8.2 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.34

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 8 月 20 日至 2018 年 9 月 24 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.2 版本 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running PHP 7.2

2018.03.0

PHP 7.2.5

1.4.2

Apache 2.4.33

PHP 7.1 版本 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running PHP 7.1

2018.03.0

PHP 7.1.17

1.4.2

Apache 2.4.33

PHP 7.0 版本 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running PHP 7.0

2018.03.0

PHP 7.0.30

1.4.2

Apache 2.4.33

PHP 5.6 版本 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running PHP 5.6

2018.03.0

PHP 5.6.36

1.4.2

Apache 2.4.33

PHP 5.5 版本 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.33

PHP 5.4 版本 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.33

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 8 月 15 日至 2018 年 8 月 19 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.2 版本 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running PHP 7.2

2018.03.0

PHP 7.2.5

1.4.2

Apache 2.4.33

PHP 7.1 版本 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running PHP 7.1

2018.03.0

PHP 7.1.17

1.4.2

Apache 2.4.33

PHP 7.0 版本 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running PHP 7.0

2018.03.0

PHP 7.0.30

1.4.2

Apache 2.4.33

PHP 5.6 版本 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running PHP 5.6

2018.03.0

PHP 5.6.36

1.4.2

Apache 2.4.33

PHP 5.5 版本 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.33

PHP 5.4 版本 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.33

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 6 月 21 日至 2018 年 8 月 14 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.7.1

64bit Amazon Linux 2018.03 v2.7.1 running PHP 7.1

2018.03.0

PHP 7.1.17

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.7.1

64bit Amazon Linux 2018.03 v2.7.1 running PHP 7.0

2018.03.0

PHP 7.0.30

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.7.1

64bit Amazon Linux 2018.03 v2.7.1 running PHP 5.6

2018.03.0

PHP 5.6.36

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.7.1

64bit Amazon Linux 2018.03 v2.7.1 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.7.1

64bit Amazon Linux 2018.03 v2.7.1 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 5 月 11 日至 2018 年 6 月 20 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.7.0

64bit Amazon Linux 2018.03 v2.7.0 running PHP 7.1

2018.03.0

PHP 7.1.15

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.7.0

64bit Amazon Linux 2018.03 v2.7.0 running PHP 7.0

2018.03.0

PHP 7.0.29

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.7.0

64bit Amazon Linux 2018.03 v2.7.0 running PHP 5.6

2018.03.0

PHP 5.6.35

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.7.0

64bit Amazon Linux 2018.03 v2.7.0 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.7.0

64bit Amazon Linux 2018.03 v2.7.0 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 4 月 2 日至 2018 年 5 月 10 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.6.6

64bit Amazon Linux 2017.09 v2.6.6 running PHP 7.1

2017.09.1

PHP 7.1.13

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.6.6

64bit Amazon Linux 2017.09 v2.6.6 running PHP 7.0

2017.09.1

PHP 7.0.27

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.6.6

64bit Amazon Linux 2017.09 v2.6.6 running PHP 5.6

2017.09.1

PHP 5.6.33

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.6.6

64bit Amazon Linux 2017.09 v2.6.6 running PHP 5.5

2017.09.1

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.6.6

64bit Amazon Linux 2017.09 v2.6.6 running PHP 5.4

2017.09.1

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 2 月 22 日至 2018 年 4 月 1 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.6.5

64bit Amazon Linux 2017.09 v2.6.5 running PHP 7.1

2017.09.1

PHP 7.1.13

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.6.5

64bit Amazon Linux 2017.09 v2.6.5 running PHP 7.0

2017.09.1

PHP 7.0.27

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.6.5

64bit Amazon Linux 2017.09 v2.6.5 running PHP 5.6

2017.09.1

PHP 5.6.33

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.6.5

64bit Amazon Linux 2017.09 v2.6.5 running PHP 5.5

2017.09.1

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.6.5

64bit Amazon Linux 2017.09 v2.6.5 running PHP 5.4

2017.09.1

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 1 月 19 日至 2018 年 2 月 21 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.6.4

64bit Amazon Linux 2017.09 v2.6.4 running PHP 7.1

2017.09.1

PHP 7.1.11

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.6.4

64bit Amazon Linux 2017.09 v2.6.4 running PHP 7.0

2017.09.1

PHP 7.0.25

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.6.4

64bit Amazon Linux 2017.09 v2.6.4 running PHP 5.6

2017.09.1

PHP 5.6.32

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.6.4

64bit Amazon Linux 2017.09 v2.6.4 running PHP 5.5

2017.09.1

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.6.4

64bit Amazon Linux 2017.09 v2.6.4 running PHP 5.4

2017.09.1

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 1 月 10 日至 2018 年 1 月 18 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.6.3

64bit Amazon Linux 2017.09 v2.6.3 running PHP 7.1

2017.09.1

PHP 7.1.11

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.6.3

64bit Amazon Linux 2017.09 v2.6.3 running PHP 7.0

2017.09.1

PHP 7.0.25

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.6.3

64bit Amazon Linux 2017.09 v2.6.3 running PHP 5.6

2017.09.1

PHP 5.6.32

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.6.3

64bit Amazon Linux 2017.09 v2.6.3 running PHP 5.5

2017.09.1

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.6.3

64bit Amazon Linux 2017.09 v2.6.3 running PHP 5.4

2017.09.1

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 1 月 6 日至 2018 年 1 月 9 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.6.2

64bit Amazon Linux 2017.09 v2.6.2 running PHP 7.1

2017.09.1

PHP 7.1.11

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.6.2

64bit Amazon Linux 2017.09 v2.6.2 running PHP 7.0

2017.09.1

PHP 7.0.25

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.6.2

64bit Amazon Linux 2017.09 v2.6.2 running PHP 5.6

2017.09.1

PHP 5.6.32

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.6.2

64bit Amazon Linux 2017.09 v2.6.2 running PHP 5.5

2017.09.1

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.6.2

64bit Amazon Linux 2017.09 v2.6.2 running PHP 5.4

2017.09.1

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 12 月 20 日至 2018 年 1 月 5 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.6.1

64bit Amazon Linux 2017.09 v2.6.1 running PHP 7.1

2017.09.1

PHP 7.1.11

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.6.1

64bit Amazon Linux 2017.09 v2.6.1 running PHP 7.0

2017.09.1

PHP 7.0.25

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.6.1

64bit Amazon Linux 2017.09 v2.6.1 running PHP 5.6

2017.09.1

PHP 5.6.32

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.6.1

64bit Amazon Linux 2017.09 v2.6.1 running PHP 5.5

2017.09.1

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.6.1

64bit Amazon Linux 2017.09 v2.6.1 running PHP 5.4

2017.09.1

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 11 月 14 日至 2018 年 12 月 19 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.6.0

64bit Amazon Linux 2017.09 v2.6.0 running PHP 7.1

2017.09.1

PHP 7.1.7

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.6.0

64bit Amazon Linux 2017.09 v2.6.0 running PHP 7.0

2017.09.1

PHP 7.0.21

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.6.0

64bit Amazon Linux 2017.09 v2.6.0 running PHP 5.6

2017.09.1

PHP 5.6.31

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.6.0

64bit Amazon Linux 2017.09 v2.6.0 running PHP 5.5

2017.09.1

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.6.0

64bit Amazon Linux 2017.09 v2.6.0 running PHP 5.4

2017.09.1

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 9 月 28 日至 2015 年 11 月 3 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.1 版本 2.5.0

64bit Amazon Linux 2017.03 v2.5.0 running PHP 7.1

2017.03.1

PHP 7.1.7

1.4.2

Apache 2.4.27

PHP 7.0 版本 2.5.0

64bit Amazon Linux 2017.03 v2.5.0 running PHP 7.0

2017.03.1

PHP 7.0.21

1.4.2

Apache 2.4.27

PHP 5.6 版本 2.5.0

64bit Amazon Linux 2017.03 v2.5.0 running PHP 5.6

2017.03.1

PHP 5.6.31

1.4.2

Apache 2.4.27

PHP 5.5 版本 2.5.0

64bit Amazon Linux 2017.03 v2.5.0 running PHP 5.5

2017.03.1

PHP 5.5.38

1.4.2

Apache 2.4.27

PHP 5.4 版本 2.5.0

64bit Amazon Linux 2017.03 v2.5.0 running PHP 5.4

2017.03.1

PHP 5.4.45

1.4.2

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 8 月 30 日至 2017 年 9 月 24 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.4.4

64bit Amazon Linux 2017.03 v2.4.4 running PHP 7.0

2017.03.1

PHP 7.0.21

1.4.1

Apache 2.4.27

PHP 5.6 版本 2.4.4

64bit Amazon Linux 2017.03 v2.4.4 running PHP 5.6

2017.03.1

PHP 5.6.31

1.4.1

Apache 2.4.27

PHP 5.5 版本 2.4.4

64bit Amazon Linux 2017.03 v2.4.4 running PHP 5.5

2017.03.1

PHP 5.5.38

1.4.1

Apache 2.4.27

PHP 5.4 版本 2.4.4

64bit Amazon Linux 2017.03 v2.4.4 running PHP 5.4

2017.03.1

PHP 5.4.45

1.4.1

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 8 月 11 日至 2018 年 8 月 29 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.4.3

64bit Amazon Linux 2017.03 v2.4.3 running PHP 7.0

2017.03.1

PHP 7.0.21

1.4.1

Apache 2.4.27

PHP 5.6 版本 2.4.3

64bit Amazon Linux 2017.03 v2.4.3 running PHP 5.6

2017.03.1

PHP 5.6.30

1.4.1

Apache 2.4.27

PHP 5.5 版本 2.4.3

64bit Amazon Linux 2017.03 v2.4.3 running PHP 5.5

2017.03.1

PHP 5.5.38

1.4.1

Apache 2.4.27

PHP 5.4 版本 2.4.3

64bit Amazon Linux 2017.03 v2.4.3 running PHP 5.4

2017.03.1

PHP 5.4.45

1.4.1

Apache 2.4.27

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 7 月 20 日至 2017 年 8 月 10 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.4.2

64bit Amazon Linux 2017.03 v2.4.2 running PHP 7.0

2017.03.1

PHP 7.0.16

1.4.1

Apache 2.4.25

PHP 5.6 版本 2.4.2

64bit Amazon Linux 2017.03 v2.4.2 running PHP 5.6

2017.03.1

PHP 5.6.30

1.4.1

Apache 2.4.25

PHP 5.5 版本 2.4.2

64bit Amazon Linux 2017.03 v2.4.2 running PHP 5.5

2017.03.1

PHP 5.5.38

1.4.1

Apache 2.4.25

PHP 5.4 版本 2.4.2

64bit Amazon Linux 2017.03 v2.4.2 running PHP 5.4

2017.03.1

PHP 5.4.45

1.4.1

Apache 2.4.25

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 6 月 27 日至 2017 年 7 月 19 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.4.1

64bit Amazon Linux 2017.03 v2.4.1 running PHP 7.0

2017.03.0

PHP 7.0.16

1.4.1

Apache 2.4.25

PHP 5.6 版本 2.4.1

64bit Amazon Linux 2017.03 v2.4.1 running PHP 5.6

2017.03.0

PHP 5.6.30

1.4.1

Apache 2.4.25

PHP 5.5 版本 2.4.1

64bit Amazon Linux 2017.03 v2.4.1 running PHP 5.5

2017.03.0

PHP 5.5.38

1.4.1

Apache 2.4.25

PHP 5.4 版本 2.4.1

64bit Amazon Linux 2017.03 v2.4.1 running PHP 5.4

2017.03.0

PHP 5.4.45

1.4.1

Apache 2.4.25

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 5 月 19 日至 2017 年 6 月 20 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.4.0

64bit Amazon Linux 2017.03 v2.4.0 running PHP 7.0

2016.09.0

PHP 7.0.16

1.4.1

Apache 2.4.25

PHP 5.6 版本 2.4.0

64bit Amazon Linux 2017.03 v2.4.0 running PHP 5.6

2017.03.0

PHP 5.6.30

1.4.1

Apache 2.4.25

PHP 5.5 版本 2.4.0

64bit Amazon Linux 2017.03 v2.4.0 running PHP 5.5

2017.03.0

PHP 5.5.38

1.4.1

Apache 2.4.25

PHP 5.4 版本 2.4.0

64bit Amazon Linux 2017.03 v2.4.0 running PHP 5.4

2017.03.0

PHP 5.4.45

1.4.1

Apache 2.4.25

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 4 月 5 日至 2017 年 5 月 18 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.3.3

64bit Amazon Linux 2016.09 v2.3.3 running PHP 7.0

2016.09.0

PHP 7.0.16

1.3.2

Apache 2.4.25

PHP 5.6 版本 2.3.3

64bit Amazon Linux 2016.09 v2.3.3 running PHP 5.6

2016.09.0

PHP 5.6.30

1.3.2

Apache 2.4.25

PHP 5.5 版本 2.3.3

64bit Amazon Linux 2016.09 v2.3.3 running PHP 5.5

2016.09.0

PHP 5.5.38

1.3.2

Apache 2.4.25

PHP 5.4 版本 2.3.3

64bit Amazon Linux 2016.09 v2.3.3 running PHP 5.4

2016.09.0

PHP 5.4.45

1.3.2

Apache 2.4.25

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 3 月 8 日至 2017 年 4 月 4 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.3.2

64bit Amazon Linux 2016.09 v2.3.2 running PHP 7.0

2016.09.0

PHP 7.0.14

1.3.2

Apache 2.4.25

PHP 5.6 版本 2.3.2

64bit Amazon Linux 2016.09 v2.3.2 running PHP 5.6

2016.09.0

PHP 5.6.29

1.3.2

Apache 2.4.25

PHP 5.5 版本 2.3.2

64bit Amazon Linux 2016.09 v2.3.2 running PHP 5.5

2016.09.0

PHP 5.5.38

1.3.2

Apache 2.4.25

PHP 5.4 版本 2.3.2

64bit Amazon Linux 2016.09 v2.3.2 running PHP 5.4

2016.09.0

PHP 5.4.45

1.3.2

Apache 2.4.25

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 1 月 28 日至 2017 年 3 月 7 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.3.1

64bit Amazon Linux 2016.09 v2.3.1 running PHP 7.0

2016.09.0

PHP 7.0.11

1.2.0

Apache 2.4.23

PHP 5.6 版本 2.3.1

64bit Amazon Linux 2016.09 v2.3.1 running PHP 5.6

2016.09.0

PHP 5.6.26

1.2.0

Apache 2.4.23

PHP 5.5 版本 2.3.1

64bit Amazon Linux 2016.09 v2.3.1 running PHP 5.5

2016.09.0

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 版本 2.3.1

64bit Amazon Linux 2016.09 v2.3.1 running PHP 5.4

2016.09.0

PHP 5.4.45

1.2.0

Apache 2.4.23

PHP 的以下 Elastic Beanstalk 平台版本是 2016 年 12 月 22 日至 2017 年 3 月 7 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.3.0

64bit Amazon Linux 2016.09 v2.3.0 running PHP 7.0

2016.09.0

PHP 7.0.11

1.2.0

Apache 2.4.23

PHP 5.6 版本 2.3.0

64bit Amazon Linux 2016.09 v2.3.0 running PHP 5.6

2016.09.0

PHP 5.6.26

1.2.0

Apache 2.4.23

PHP 5.5 版本 2.3.0

64bit Amazon Linux 2016.09 v2.3.0 running PHP 5.5

2016.09.0

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 版本 2.3.0

64bit Amazon Linux 2016.09 v2.3.0 running PHP 5.4

2016.09.0

PHP 5.4.45

1.2.0

Apache 2.4.23

PHP 的以下 Elastic Beanstalk 平台版本是 2016 年 10 月 28 日至 2016 年 12 月 21 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running PHP 7.0

2016.09.0

PHP 7.0.11

1.2.0

Apache 2.4.23

PHP 5.6 版本 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running PHP 5.6

2016.09.0

PHP 5.6.26

1.2.0

Apache 2.4.23

PHP 5.5 版本 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running PHP 5.5

2016.09.0

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 版本 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running PHP 5.4

2016.09.0

PHP 5.4.45

1.2.0

Apache 2.4.23

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 9 月 6 日至 2017 年 10 月 27 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.1.7

64bit Amazon Linux 2016.03 v2.1.7 running PHP 7.0

2016.03.3

PHP 7.0.9

1.2.0

Apache 2.4.23

PHP 5.6 版本 2.1.7

64bit Amazon Linux 2016.03 v2.1.7 running PHP 5.6

2016.03.3

PHP 5.6.25

1.2.0

Apache 2.4.23

PHP 5.5 版本 2.1.7

64bit Amazon Linux 2016.03 v2.1.7 running PHP 5.5

2016.03.3

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 版本 2.1.7

64bit Amazon Linux 2016.03 v2.1.7 running PHP 5.4

2016.03.3

PHP 5.4.45

1.2.0

Apache 2.4.23

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 8 月 24 日至 2017 年 9 月 6 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running PHP 7.0

2016.03.3

PHP 7.0.9

1.2.0

Apache 2.4.23

PHP 5.6 版本 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running PHP 5.6

2016.03.3

PHP 5.6.24

1.2.0

Apache 2.4.23

PHP 5.5 版本 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running PHP 5.5

2016.03.3

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 版本 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running PHP 5.4

2016.03.3

PHP 5.4.45

1.2.0

Apache 2.4.23

PHP 的以下 Elastic Beanstalk 平台版本是 2018 年 8 月 8 日至 2018 年 8 月 24 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 7.0 版本 2.1.5

64bit Amazon Linux 2016.03 v2.1.5 running PHP 7.0

2016.03.2

PHP 7.0.9

1.2.0

Apache 2.4.23

PHP 5.6 版本 2.1.5

64bit Amazon Linux 2016.03 v2.1.5 running PHP 5.6

2016.03.2

PHP 5.6.24

1.2.0

Apache 2.4.23

PHP 5.5 版本 2.1.5

64bit Amazon Linux 2016.03 v2.1.5 running PHP 5.5

2016.03.2

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 版本 2.1.5

64bit Amazon Linux 2016.03 v2.1.5 running PHP 5.4

2016.03.2

PHP 5.4.45

1.2.0

Apache 2.4.23

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 7 月 18 日至 2017 年 8 月 8 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 5.6 版本 2.1.4

64bit Amazon Linux 2016.03 v2.1.4 running PHP 5.6

2016.03.2

PHP 5.6.22

1.1.2

Apache 2.4.18

PHP 5.5 版本 2.1.4

64bit Amazon Linux 2016.03 v2.1.4 running PHP 5.5

2016.03.2

PHP 5.5.36

1.1.2

Apache 2.4.18

PHP 5.4 版本 2.1.4

64bit Amazon Linux 2016.03 v2.1.4 running PHP 5.4

2016.03.2

PHP 5.4.45

1.1.2

Apache 2.4.18

PHP 的以下 Elastic Beanstalk 平台版本是 2017 年 6 月 26 日至 2017 年 7 月 19 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 5.6 版本 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running PHP 5.6

2016.03.2

PHP 5.6.22

1.1.2

Apache 2.4.18

PHP 5.5 版本 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running PHP 5.5

2016.03.2

PHP 5.5.36

1.1.2

Apache 2.4.18

PHP 5.4 版本 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running PHP 5.4

2016.03.2

PHP 5.4.45

1.1.2

Apache 2.4.18

PHP 的以下 Elastic Beanstalk 平台版本是 2016 年 5 月 13 日至 2016 年 6 月 26 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 5.6 版本 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running PHP 5.6

2016.03

PHP 5.6.21

1.1.0

Apache 2.4.18

PHP 5.5 版本 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running PHP 5.5

2016.03

PHP 5.5.35

1.1.0

Apache 2.4.18

PHP 5.4 版本 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running PHP 5.4

2016.03

PHP 5.4.45

1.1.0

Apache 2.4.18

PHP 的以下 Elastic Beanstalk 平台版本是 2016 年 5 月 9 日至 2016 年 5 月 13 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 5.6 版本 2.1.1

运行 PHP 5.6 的 64 位 Amazon Linux 2016.03 v2.1.1

2016.03

PHP 5.6.21

1.1.0-RC

Apache 2.4.18

PHP 5.5 版本 2.1.1

运行 PHP 5.5 的 64 位 Amazon Linux 2016.03 v2.1.1

2016.03

PHP 5.5.35

1.1.0-RC

Apache 2.4.18

PHP 5.4 版本 2.1.1

运行 PHP 5.4 的 64 位 Amazon Linux 2016.03 v2.1.1

2016.03

PHP 5.4.45

1.1.0-RC

Apache 2.4.18

PHP 的以下 Elastic Beanstalk 平台版本是 2014 年 4 月 7 日至 2016 年 5 月 9 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

代理服务器

PHP 5.6 版本 2.1.0

运行 PHP 5.6 的 64 位 Amazon Linux 2016.03 v2.1.0

2016.03

PHP 5.6.17

1.0.0-alpha11

Apache 2.4.18

PHP 5.5 版本 2.1.0

运行 PHP 5.5 的 64 位 Amazon Linux 2016.03 v2.1.0

2016.03

PHP 5.5.31

1.0.0-alpha11

Apache 2.4.18

PHP 5.4 版本 2.1.0

运行 PHP 5.4 的 64 位 Amazon Linux 2016.03 v2.1.0

2016.03

PHP 5.4.45

1.0.0-alpha11

Apache 2.4.18

PHP 的以下 Elastic Beanstalk 平台版本是 2016 年 2 月 26 日至 2016 年 4 月 7 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

Web 服务器

PHP 5.6 版本 2.0.8

运行 PHP 5.6 的 64 位 Amazon Linux 2015.09 v2.0.8

2015.09

PHP 5.6.17

1.0.0-alpha11

Apache 2.4.16

PHP 5.5 版本 2.0.8

运行 PHP 5.5 的 64 位 Amazon Linux 2015.09 v2.0.8

2015.09

PHP 5.5.31

1.0.0-alpha11

Apache 2.4.16

PHP 5.4 版本 2.0.8

运行 PHP 5.4 的 64 位 Amazon Linux 2015.09 v2.0.8

2015.09

PHP 5.4.45

1.0.0-alpha11

Apache 2.4.16

PHP 的以下 Elastic Beanstalk 平台版本是 2016 年 2 月 11 日至 2016 年 2 月 26 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

Web 服务器

PHP 5.6 版本 2.0.7

运行 PHP 5.6 的 64 位 Amazon Linux 2015.09 v2.0.7

2015.09

PHP 5.6.17

1.0.0-alpha11

Apache 2.4.16

PHP 5.5 版本 2.0.7

运行 PHP 5.5 的 64 位 Amazon Linux 2015.09 v2.0.7

2015.09

PHP 5.5.31

1.0.0-alpha11

Apache 2.4.16

PHP 5.4 版本 2.0.7

运行 PHP 5.4 的 64 位 Amazon Linux 2015.09 v2.0.7

2015.09

PHP 5.4.45

1.0.0-alpha11

Apache 2.4.16

PHP 的以下 Elastic Beanstalk 平台版本是 2016 年 1 月 11 日至 2016 年 2 月 11 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

Web 服务器

PHP 5.6 版本 2.0.6

运行 PHP 5.6 的 64 位 Amazon Linux 2015.09 v2.0.6

2015.09

PHP 5.6.13

1.0.0-alpha10

Apache 2.4.16

PHP 5.5 版本 2.0.6

运行 PHP 5.5 的 64 位 Amazon Linux 2015.09 v2.0.6

2015.09

PHP 5.5.29

1.0.0-alpha10

Apache 2.4.16

PHP 5.4 版本 2.0.6

运行 PHP 5.4 的 64 位 Amazon Linux 2015.09 v2.0.6

2015.09

PHP 5.4.45

1.0.0-alpha10

Apache 2.4.16

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 11 月 2 日至 2016 年 1 月 11 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

Web 服务器

PHP 5.6 版本 2.0.4

运行 PHP 5.6 的 64 位 Amazon Linux 2015.09 v2.0.4

2015.09

PHP 5.6.13

1.0.0-alpha10

Apache 2.4.16

PHP 5.5 版本 2.0.4

运行 PHP 5.5 的 64 位 Amazon Linux 2015.09 v2.0.4

2015.09

PHP 5.5.29

1.0.0-alpha10

Apache 2.4.16

PHP 5.4 版本 2.0.4

运行 PHP 5.4 的 64 位 Amazon Linux 2015.09 v2.0.4

2015.09

PHP 5.4.45

1.0.0-alpha10

Apache 2.4.16

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 9 月 18 日至 2015 年 11 月 2 日之间有效的版本:

平台版本和解决方案堆栈名称

AMI

语言

Composer

Web 服务器

PHP 5.6 版本 2.0.1

运行 PHP 5.6 的 64 位 Amazon Linux 2015.03 v2.0.1

2015.03

PHP 5.6.9

1.0.0-alpha10

Apache 2.4.12

PHP 5.5 版本 2.0.1

运行 PHP 5.5 的 64 位 Amazon Linux 2015.03 v2.0.1

2015.03

PHP 5.5.25

1.0.0-alpha10

Apache 2.4.12

PHP 5.4 版本 2.0.1

运行 PHP 5.4 的 64 位 Amazon Linux 2015.03 v2.0.1

2015.03

PHP 5.4.41

1.0.0-alpha10

Apache 2.4.12

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 8 月 11 日至 2015 年 9 月 18 日之间有效的版本:

平台版本和解决方案堆栈名称 AMI 语言 Composer Web 服务器

PHP 5.6 版本 2.0.0

运行 PHP 5.6 的 64 位 Amazon Linux 2015.03 v2.0.0

2015.03

PHP 5.6.9

1.0.0-alpha10

Apache 2.4.12

PHP 5.5 版本 2.0.0

运行 PHP 5.5 的 64 位 Amazon Linux 2015.03 v2.0.0

2015.03

PHP 5.5.25

1.0.0-alpha10

Apache 2.4.12

PHP 5.4 版本 2.0.0

运行 PHP 5.4 的 64 位 Amazon Linux 2015.03 v2.0.0

2015.03

PHP 5.4.41

1.0.0-alpha10

Apache 2.4.12

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 8 月 3 日至 2015 年 8 月 11 日之间有效的版本:

平台版本和解决方案堆栈名称 AMI 语言 Composer Web 服务器

PHP 5.6 版本 1.4.6

运行 PHP 5.6 的 64 位 Amazon Linux 2015.03 v1.4.6

2015.03

PHP 5.6.9

1.0.0-alpha10

Apache 2.4.12

PHP 5.5 版本 1.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2015.03 v1.4.6

2015.03

PHP 5.5.25

1.0.0-alpha10

Apache 2.4.12

PHP 5.4 版本 1.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2015.03 v1.4.6

2015.03

PHP 5.4.41

1.0.0-alpha10

Apache 2.4.12

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 6 月 15 日至 2015 年 8 月 3 日之间有效的版本:

平台版本和解决方案堆栈名称 AMI 语言 Composer Web 服务器

PHP 5.6 版本 1.4.3

运行 PHP 5.6 的 64 位 Amazon Linux 2015.03 v1.4.3

2015.03

PHP 5.6.9

1.0.0-alpha10

Apache 2.4.12

PHP 5.5 版本 1.4.3

运行 PHP 5.5 的 64 位 Amazon Linux 2015.03 v1.4.3

2015.03

PHP 5.5.25

1.0.0-alpha10

Apache 2.4.12

PHP 5.4 版本 1.4.3

运行 PHP 5.4 的 64 位 Amazon Linux 2015.03 v1.4.3

2015.03

PHP 5.4.41

1.0.0-alpha10

Apache 2.4.12

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 5 月 29 日至 2015 年 6 月 15 日之间有效的版本:

PHP 配置

名称 AMI 语言 Web 服务器 Composer

运行 PHP 5.6 的 64 位 Amazon Linux 2015.03 v1.4.2

2015.03

PHP 5.6.8

Apache 2.4.12

1.0.0-alpha10

运行 PHP 5.5 的 64 位 Amazon Linux 2015.03 v1.4.2

2015.03

PHP 5.5.24

Apache 2.4.12

1.0.0-alpha10

运行 PHP 5.4 的 64 位 Amazon Linux 2015.03 v1.4.2

2015.03

PHP 5.4.40

Apache 2.4.12

1.0.0-alpha10

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 5 月 27 日至 2015 年 5 月 28 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.6 的 64 位 Amazon Linux 2015.03 v1.4.1

2015.03

PHP 5.6.8

Apache 2.4.12

运行 PHP 5.5 的 64 位 Amazon Linux 2015.03 v1.4.1

2015.03

PHP 5.5.24

Apache 2.4.12

运行 PHP 5.4 的 64 位 Amazon Linux 2015.03 v1.4.1

2015.03

PHP 5.4.40

Apache 2.4.12

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 5 月 1 日至 2015 年 5 月 26 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.6 的 64 位 Amazon Linux 2015.03 v1.3.2

2015.03

PHP 5.6.8

Apache 2.4.12

运行 PHP 5.5 的 64 位 Amazon Linux 2015.03 v1.3.2

2015.03

PHP 5.5.24

Apache 2.4.12

运行 PHP 5.4 的 64 位 Amazon Linux 2015.03 v1.3.2

2015.03

PHP 5.4.40

Apache 2.4.12

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 4 月 22 日至 2015 年 4 月 30 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 64 位 Amazon Linux 2015.03 v1.3.1

2015.03

PHP 5.5.22

Apache 2.4.12

运行 PHP 5.4 的 64 位 Amazon Linux 2015.03 v1.3.1

2015.03

PHP 5.4.38

Apache 2.4.12

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 4 月 8 日至 2015 年 4 月 21 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 64 位 Amazon Linux 2015.03 v1.3.0

2015.03

PHP 5.5.22

Apache 2.4.12

运行 PHP 5.4 的 64 位 Amazon Linux 2015.03 v1.3.0

2015.03

PHP 5.4.38

Apache 2.4.12

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 2 月 17 日至 2015 年 4 月 7 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 64 位 Amazon Linux 2014.09 v1.2.0

2014.09

PHP 5.5.20

Apache 2.4.10

运行 PHP 5.4 的 64 位 Amazon Linux 2014.09 v1.2.0

2014.09

PHP 5.4.36

Apache 2.4.10

PHP 的以下 Elastic Beanstalk 平台版本是 2015 年 1 月 28 日至 2015 年 2 月 16 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 64 位 Amazon Linux 2014.09 v1.1.01

2014.09

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2014.09 v1.1.01

2014.09

PHP 5.4.20

Apache 2.4.6

运行 PHP 5.5 的 32 位 Amazon Linux 2014.03 v1.1.01

2014.03

PHP 5.5.14

Apache 2.4.10

运行 PHP 5.5 的 64 位 Amazon Linux 2014.03 v1.1.01

2014.03

PHP 5.5.14

Apache 2.4.10

运行 PHP 5.4 的 32 位 Amazon Linux 2014.03 v1.1.01

2014.03

PHP 5.4.30

Apache 2.4.10

运行 PHP 5.4 的 64 位 Amazon Linux 2014.03 v1.1.01

2014.03

PHP 5.4.30

Apache 2.4.10

1CVE-2015-0235 公告 (Ghost)

PHP 的以下 Elastic Beanstalk 平台版本是 2014 年 10 月 16 日至 2015 年 1 月 27 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 64 位 Amazon Linux 2014.09 v1.0.91

2014.09

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2014.09 v1.0.91

2014.09

PHP 5.4.20

Apache 2.4.6

运行 PHP 5.5 的 32 位 Amazon Linux 2014.03 v1.0.91

2014.03

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2014.03 v1.0.91

2014.03

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.4 的 32 位 Amazon Linux 2014.03 v1.0.91

2014.03

PHP 5.4.20

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2014.03 v1.0.91

2014.03

PHP 5.4.20

Apache 2.4.6

1CVE-2014-3566 公告

PHP 的以下 Elastic Beanstalk 平台版本是 2014 年 10 月 9 日至 2014 年 10 月 15 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 32 位 Amazon Linux 2014.09 v1.0.8

2014.09

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2014.09 v1.0.8

2014.09

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.4 的 32 位 Amazon Linux 2014.09 v1.0.8

2014.09

PHP 5.4.20

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2014.09 v1.0.8

2014.09

PHP 5.4.20

Apache 2.4.6

PHP 的以下 Elastic Beanstalk 平台版本是 2014 年 9 月 24 日至 2014 年 10 月 8 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 32 位 Amazon Linux 2014.03 v1.0.71

2014.03

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2014.03 v1.0.71

2014.03

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.4 的 32 位 Amazon Linux 2014.03 v1.0.71

2014.03

PHP 5.4.20

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2014.03 v1.0.71

2014.03

PHP 5.4.20

Apache 2.4.6

1 CVE-2014-6271 公告ALAS-2014-419

PHP 的以下 Elastic Beanstalk 平台版本是 2014 年 6 月 30 日至 2014 年 9 月 23 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 64 位 Amazon Linux 2014.03 v1.0.4

2014.03

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2014.03 v1.0.4

2014.03

PHP 5.4.20

Apache 2.4.6

PHP 的以下 Elastic Beanstalk 平台版本是 2014 年 6 月 5 日至 2014 年 6 月 29 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 32 位 Amazon Linux 2014.03 v1.0.31

2014.03

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2014.03 v1.0.31

2014.03

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.4 的 32 位 Amazon Linux 2014.03 v1.0.31

2014.03

PHP 5.4.20

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2014.03 v1.0.31

2014.03

PHP 5.4.20

Apache 2.4.6

1 OpenSSL 安全公告

PHP 的以下 Elastic Beanstalk 平台版本是 2014 年 5 月 5 日至 2014 年 6 月 4 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 32 位 Amazon Linux 2014.03 v1.0.2

2014.03

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2014.03 v1.0.2

2014.03

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.4 的 32 位 Amazon Linux 2014.03 v1.0.2

2014.03

PHP 5.4.20

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2014.03 v1.0.2

2014.03

PHP 5.4.20

Apache 2.4.6

PHP 的以下 Elastic Beanstalk 平台版本是 2014 年 4 月 7 日至 2014 年 5 月 4 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 32 位 Amazon Linux 2014.02 v1.0.11

2013.09

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2014.02 v1.0.11

2013.09

PHP 5.5.7

Apache 2.4.6

运行 PHP 5.4 的 32 位 Amazon Linux 2014.02 v1.0.11

2013.09

PHP 5.4.20

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2014.02 v1.0.11

2013.09

PHP 5.4.20

Apache 2.4.6

运行 PHP 5.5 的 32 位 Amazon Linux 2013.09 v1.0.11

2013.09

PHP 5.5

Apache 2.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2013.09 v1.0.11

2013.09

PHP 5.5

Apache 2.4.6

运行 PHP 5.4 的 32 位 Amazon Linux 2013.09 v1.0.11

2013.09

PHP 5.4

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2013.09 v1.0.11

2013.09

PHP 5.4

Apache 2.4.6

运行 PHP 5.3 的 32 位 Amazon Linux

2013.03

PHP 5.3

Apache 2.4.6

运行 PHP 5.3 的 64 位 Amazon Linux

2013.03

PHP 5.3

Apache 2.4.6

1 openssl-1.0.1e-4.58.amzn1

PHP 的以下 Elastic Beanstalk 平台版本是 2014 年 3 月 18 日至 2014 年 4 月 6 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 32 位 Amazon Linux 2014.02

2013.09

PHP 5.5.7

Apache 2.2.26

运行 PHP 5.5 的 64 位 Amazon Linux 2014.02

2013.09

PHP 5.5.7

Apache 2.2.26

运行 PHP 5.4 的 32 位 Amazon Linux 2014.02

2013.09

PHP 5.4.20

Apache 2.2.26

运行 PHP 5.4 的 64 位 Amazon Linux 2014.02

2013.09

PHP 5.4.20

Apache 2.2.26

运行 PHP 5.5 的 32 位 Amazon Linux 2013.09

2013.09

PHP 5.5

Apache 2.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2013.09

2013.09

PHP 5.5

Apache 2.4.6

运行 PHP 5.4 的 32 位 Amazon Linux 2013.09

2013.09

PHP 5.4

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2013.09

2013.09

PHP 5.4

Apache 2.4.6

运行 PHP 5.3 的 32 位 Amazon Linux

2013.03

PHP 5.3

Apache 2.4.6

运行 PHP 5.3 的 64 位 Amazon Linux

2013.03

PHP 5.3

Apache 2.4.6

PHP 的以下 Elastic Beanstalk 平台版本是 2013 年 10 月 30 日至 2014 年 3 月 17 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.5 的 32 位 Amazon Linux 2013.09

2013.09

PHP 5.5

Apache 2.4.6

运行 PHP 5.5 的 64 位 Amazon Linux 2013.09

2013.09

PHP 5.5

Apache 2.4.6

运行 PHP 5.4 的 32 位 Amazon Linux 2013.09

2013.09

PHP 5.4

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux 2013.09

2013.09

PHP 5.4

Apache 2.4.6

运行 PHP 5.3 的 32 位 Amazon Linux

2013.03

PHP 5.3

Apache 2.4.6

运行 PHP 5.3 的 64 位 Amazon Linux

2013.03

PHP 5.3

Apache 2.4.6

PHP 的以下 Elastic Beanstalk 平台版本是 2013 年 8 月 29 日至 2013 年 10 月 29 日之间有效的版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.4 的 32 位 Amazon Linux

2013.03

PHP 5.4

Apache 2.4.6

运行 PHP 5.4 的 64 位 Amazon Linux

2013.03

PHP 5.4

Apache 2.4.6

PHP 的以下 Elastic Beanstalk 平台版本是 2013 年 8 月 29 日之前的有效版本:

PHP 容器类型

名称 AMI 语言 Web 服务器

运行 PHP 5.4 的 32 位 Amazon Linux 2012.09

2012.09

PHP 5.4

Apache 2.4.3

运行 PHP 5.4 的 64 位 Amazon Linux 2012.09

2012.09

PHP 5.4

Apache 2.4.3

运行 PHP 5.3 的 32 位 Amazon Linux 2012.09

2012.09

PHP 5.3

Apache 2.4.3

运行 PHP 5.3 的 64 位 Amazon Linux 2012.09

2012.09

PHP 5.3

Apache 2.4.3